/*
function formatearCampo(campo) {
    return parseFloat(campo).toString().replace(/(\.\d*?)0+$/, '$1');
}
*/
$('#buscar').click(function(){
        placa=$('#placa').val();
        anio=$('#anio').val();
        mes=$('#mes').val();
        $.ajax({
           url:'data/data_buscar.php',
           type:'post',
           data: {
		        placa: placa,
		        mes: mes,
		        anio: anio
		    },
           dataType:'json',
           success:function(r){
           	if (r.mesM==mes && r.anioM==anio) {
			$.confirm({
			    title: 'La placa ya fue registrada!',
			    content: 'Por favor revise la bandeja de registro',
			    theme: 'modern',
			    buttons: {
			    OK: function(){
			    },
			  }
			});
           	}else{
					if(placa !== null){
                	function formatearCampo(campo) {
					    return parseFloat(campo);
					};
                    $('#DatosMV').val(r.MODELO_VEHIC);
                    $('#DatosPlaca').val(r.PLACA);
                    $('#DatosCA').val(r.COD_ACTIVO);
                    $('#DatosAno').val(r.anio);
                    $('#DatosNMotor').val(r.num_motor);
                    $('#DatosMttoP').val(r.mtto_prevkm);
                    $('#DatosMPropio').val(r.mes_propiokm);
                    $('#DatosRendC').val(r.rend_combkm);

                    $('#CFDepre').val(formatearCampo(r.costo_mensual2));
                    $('#CFGps').val(formatearCampo(r.costo_mensual3));
                    $('#CFSoat').val(formatearCampo(r.costo_mensual1));
                    $('#CFImp').val(formatearCampo(r.costo_mensual4));
                    $('#CFGADM').val(formatearCampo(r.gastoA));
                    $('#CFServP').val(formatearCampo(r.gastoSerP));
                    $('#CFOD').val(formatearCampo(r.GastoDepre));
                    $('#CFRevtec').val(formatearCampo(r.costo_mensual5));
                    $('#CFOG').val(formatearCampo(r.GastoUO));
                    var totalCFA = parseFloat(r.costo_mensual2) +
					            parseFloat(r.costo_mensual3) +
					            parseFloat(r.costo_mensual1) +
					            parseFloat(r.costo_mensual4) +
					            parseFloat(r.gastoA) +
					            parseFloat(r.gastoSerP) +
					            parseFloat(r.GastoDepre) +
					            parseFloat(r.costo_mensual5) +
					            parseFloat(r.GastoUO);
                    
                    $('#CFTotalADM').val(formatearCampo(totalCFA));


                    $('#CFOSUELDO').val(formatearCampo(r.totalSueldoO));
                    $('#CFOSctr').val(formatearCampo(r.sctr));
                    $('#CFOBono').val(formatearCampo(200));
                    $('#CFOEpps').val(formatearCampo(r.GastoEPPS));
                    $('#CFOAccS').val(formatearCampo(r.GastoAS));
                    $('#CFOMovi').val(formatearCampo(130));
                    $('#CFOAli').val(formatearCampo(260));
                    $('#CFOOG').val(formatearCampo(479));
                    var totalCFO = parseFloat(r.totalSueldoO) +
					            parseFloat(r.sctr) +
					            (200) +
					            parseFloat(r.GastoEPPS) +
					            parseFloat(r.GastoAS) +
					            (130) +
					            (260) +
					            (479);
                    $('#CFOTotalOpera').val(formatearCampo(totalCFO));
                    var sumTotalCFO = totalCFA +totalCFO;
                    $('#CFTotalADMOPE').val(formatearCampo(sumTotalCFO));
                    var sumKmCFO = sumTotalCFO/5000;
                    $('#CFOtotalKM').val(formatearCampo(sumKmCFO).toFixed(2));
                    var neumaKM = parseFloat(r.costokm) * 4;
                    $('#CVNeuma').val(formatearCampo(neumaKM));

                    var kmRecorrido = parseFloat(r.KM_FINAL) -
					            parseFloat(r.KM_INICIAL);

                    
					//Vaciar cuando hacen una consulta nueva en COSTO VARIABLE
					$('#CVMttoPrevKM').val('');
                    $('#CVMttoCorrecKM').val('');
                    $('#CVMttoPrevKMSeg').val('');
                    $('#CVMttoCorrecKMSeg').val('');


				 	// TOTAL PARA Costos Variables
					// Obtiene los elementos input por su ID					
					const preCVComb = document.getElementById('PreCVComb');
					const cvComb = document.getElementById('CVComb');

					const cvmttoPrevKM = document.getElementById('CVMttoPrevKM');
					const cvmttoCorrecKM = document.getElementById('CVMttoCorrecKM');

					const cmvttoPrevKMSeg = document.getElementById('CVMttoPrevKMSeg');
					const cvmttoCorrecKMSeg = document.getElementById('CVMttoCorrecKMSeg');

					const cvTotalCV = document.getElementById('CVTotalCV');

					const cvcostotal = document.getElementById('CVcostotal');

					const tarifaxkm = document.getElementById('tarifaxkm');


					// Agrega un evento de input a cada campo
					preCVComb.addEventListener('input', calcularCombustible);
					cvmttoPrevKM.addEventListener('input', calcularCombustible);
					cvmttoCorrecKM.addEventListener('input', calcularCombustible);

					// Función para calcular el total, resultado y mostrarlo en el campo respectivo
					function calcularCombustible() {
					    const valpreCVComb = parseFloat(preCVComb.value) || 0; // Convierte a número o asigna 0 si no es válido
					    const valcvComb = valpreCVComb/r.rend_combkm;
					    cvComb.value = valcvComb; // Muestra el total 
					   
                     
					    const valcvmttoPrevKM = parseFloat(cvmttoPrevKM.value) || 0; // Convierte a número o asigna 0 si no es válido
					    const valcmvttoPrevKMSeg = valcvmttoPrevKM/kmRecorrido;
					    cmvttoPrevKMSeg.value = valcmvttoPrevKMSeg; // Muestra el total 

					    const valcvmttoCorrecKM = parseFloat(cvmttoCorrecKM.value) || 0;// Convierte a número o asigna 0 si no es válido
					    const valcvmttoCorrecKMSeg = valcvmttoCorrecKM/kmRecorrido;
					    cvmttoCorrecKMSeg.value = valcvmttoCorrecKMSeg; // Muestra el total 

                        var TotalCV = valcvmttoCorrecKMSeg+valcmvttoPrevKMSeg+valcvComb+neumaKM;
                        cvTotalCV.value = TotalCV; // Muestra el total 

                        var costotal =  sumTotalCFO+(TotalCV*kmRecorrido);
                        cvcostotal.value = costotal; // Muestra el total 

                        tarifaxkm.value = (costotal/kmRecorrido).toFixed(2); // Muestra el total 
					    
					};

					$('#CVKm').val(formatearCampo(kmRecorrido));


                }else{

					console.log('error');                 
                }
           	}
                
           }
        });
    });

//funcion para preguntar si desea guardar o no
function PreguntaCancel(){
   event.preventDefault(); 
  $.confirm({
    title: '¿Estás seguro de registrar la información?',
    content: '¡Confirmar!',
    theme: 'modern',
    buttons: {
    confirmar: function(){
        validar();	
    },
    cancel: function(){
    }
  }
});
}

//funcion para insertar los datos
function validar(){
    var frm = document.getElementById('form');
    var data = new FormData(frm);
    var xhttp = new XMLHttpRequest();
    xhttp.onreadystatechange = function () {
        if (this.readyState == 4) {
            var msg = xhttp.responseText;
            if (msg.trim() == 'success') {
                $.confirm({
                  title: 'Registrado!',
                  content: 'Con Exito!',
                  theme: 'modern',
                  buttons: {
                      OK: function () {
                          $('#form').trigger('reset');
                      },
                  }

              });                
            } else {
                $.alert({
                    title: 'Erro al Guardar!',
                   content: 'Verificar',
                    theme: 'modern'
                });
            }

        }
    };
    xhttp.open("POST", "data/data_insert.php", true);
    xhttp.send(data);
 };



